Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 293305 - dev-java/antlr-3.5.2 released
Summary: dev-java/antlr-3.5.2 released
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Java team
URL: http://www.antlr.org/download.html
Whiteboard:
Keywords:
Depends on:
Blocks: 525074 417895 451706 531114
  Show dependency tree
 
Reported: 2009-11-15 17:59 UTC by Petteri Räty (RETIRED)
Modified: 2016-01-02 10:59 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
antlr-3.3.ebuild (antlr-3.3.ebuild,3.34 KB, text/plain)
2011-03-18 11:59 UTC, Oliver Nautsch
Details
antlr-3.3-generated.tar.bz2 (antlr-3.3-generated.tar.bz2,72.33 KB, text/plain)
2011-03-18 12:02 UTC, Oliver Nautsch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petteri Räty (RETIRED) gentoo-dev 2009-11-15 17:59:41 UTC
http://www.antlr.org/download.html
Comment 1 Oliver Nautsch 2011-03-18 11:59:05 UTC
Created attachment 266353 [details]
antlr-3.3.ebuild
Comment 2 Oliver Nautsch 2011-03-18 12:02:20 UTC
Created attachment 266355 [details]
antlr-3.3-generated.tar.bz2

The file antlr-3.3-generated.tar.bz2 contains the generated java files from antlr 3 grammars for the "tool" und "gunit" subprojects. The ebuild can not reference itself (grammars are build with antlr 3). The java files were created with the original maven build.
Comment 3 Petteri Räty (RETIRED) gentoo-dev 2011-03-19 10:19:42 UTC
After upgrading both antlrworks and jython-2.5.1-r2 fail to compile so those need to be fixed before we can add this to the tree.
Comment 4 wbrana 2012-06-30 12:41:51 UTC
3.4 was released. Would it be possible to add it masked?
Comment 5 Ralph Sennhauser (RETIRED) gentoo-dev 2012-07-16 13:30:26 UTC
(In reply to comment #4)
> 3.4 was released. Would it be possible to add it masked?

jython 2.5.2 doesn't like antlr-3.4 either. I'm thinking about an new slot. The only issue with that would be antlr3 and gunit scripts would collide. eselect antlr might be the long term solution here, naming them antlr3.4 and gunit3.4 isn't nice but should work for now.

As for the antlr package itself the java runtime should probably be split out into a separate package and instead the ant task should be built. Have the build tools in antlr:3.4 and runtimes individually.
Comment 6 Mark Wright gentoo-dev 2013-01-30 10:22:42 UTC
I need dev-java/antlr-3.4 for Bug 451706 - Ebuild request: sci-mathematics/cvc4
It would be neat if it could be slotted say slot "3.4". Naming the conflicting files like antlr3.4 and gunit3.4 would be great.  I don't need eselect, I just need to ability to install multiple antlr versions at the same time like 3.1, 3.4, 4.0.  Its great that there's an ebuild that does not use maven.  Fortunately antlr 4 has an ant build.xml.
Comment 7 Arfrever Frehtes Taifersar Arahesis 2015-03-04 16:18:03 UTC
dev-java/antlr-3.5.2 was released on 2014-03-25.
Comment 8 Patrice Clement gentoo-dev 2015-05-15 22:53:18 UTC
We've got antlr-4.4 in the tree. Is there a motivation to get version 3.5.2 commited to the tree? 4.4 is up to date.
Comment 9 Arfrever Frehtes Taifersar Arahesis 2015-05-16 12:37:31 UTC
If antlr-3.5.2 is compatible with antlr-3.1.3 and would be in the same slot (SLOT="3"), then addition of it would be useful for packages depending on dev-java/antlr:3.
Comment 10 James Le Cuirot gentoo-dev 2015-12-05 23:44:59 UTC
I have now added 3.5.2 under SLOT 3.5 because it is very different to 3.1 and 3.2 but also quite different to 4. It will primarily be used to unbundle 4 but forked-daapd have also accepted my patch to use 3.5 instead of earlier versions. I will push that along with the updated antlr-c ebuild in a short while.
Comment 11 Hans de Graaff gentoo-dev 2016-01-02 10:59:06 UTC
Confirmation that dev-db/mysql-workbench also seems to work fine with 3.5, even though they use 3.4 themselves and we were using a downloadable jar for this before.

Thanks for adding!